Name:             libhangul
Version:          0.1.0
Release:          19
License:          LGPLv2+
Summary:          Hangul input library
URL:              https://github.com/libhangul/libhangul
Source0:          https://libhangul.googlecode.com/files/libhangul-%{version}.tar.gz

Requires(post):   ldconfig
Requires(postun): ldconfig
BuildRequires:    gettext-devel automake libtool

%description
libhangul provides common features for Hangul input method programs.

%package devel
Summary:          Development files for libhangul
Requires:         %{name} = %{version}-%{release} pkgconfig

%description devel
This package provides development files and input programs.

%prep
%autosetup -n %{name}-%{version} -p1
autoreconf -fi

%build
%configure --disable-static
%make_build

%install
%make_install

%delete_la
%find_lang %{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*
%{_datadir}/%{name}
%{_bindir}/hangul

%files devel
%{_includedir}/hangul-*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Thu Nov 14 2019 wangye<wangye54@huawei.com> - 0.1.0-19
- Package init